Subject: bug#75056: 31.0.50; tty-child-frames with server / multiple clients possible hangs

From: Gerd Möllmann <[email-masked]>
Date: Sun, 16 Feb 2025 06:25:52 +0100

> On 15. Feb 2025, at 19:20, martin rudalics <[email-masked]> wrote:
> 
> > Works perfectly, thanks!
> 
> There's a problem with moving nested child frames out of their child
> parents.  Load the attached tty-child-frames.el do first M-l and then
> C-M-l.  You should see a grey child frame embedded in an orange child
> frame.  Now do
> 
> (set-frame-parameter tty-3 'left (- 30))

Yep, I can reproduce it. 

Could be a problem with copying glyphs from the child to the root's desired matrix because the crash is from invalid glyph contents. When I reproduced it, the glyph in question was completely zeroed, for example.

I've made bug#76321 for this. Can take me a bit to fix, I'm afraid.